IRremoteESP8266

Public Attributes | List of all members
HitachiAC296Protocol Union Reference

`#include <ir_Hitachi.h>`

## Public Attributes
uint8_t | raw [kHitachiAc296StateLength]
struct {
uint8_t pad0 [13]
uint8_t __pad0__:2
uint8_t Temp:5
uint8_t __pad1__:1
uint8_t __pad2__:8
uint8_t __pad3__:8
uint8_t __pad4__:8
uint8_t OffTimerLow:8
uint8_t __pad5__:8
uint8_t OffTimerHigh:8
uint8_t __pad6__:8
uint8_t OnTimerLow:8
uint8_t __pad7__:8
uint8_t OnTimerHigh:4
uint8_t OffTimerActive:1
uint8_t OnTimerActive:1
uint8_t __pad8__:2
uint8_t __pad9__:8
uint8_t Mode:4
uint8_t Fan:3
uint8_t __pad10__:1
uint8_t __pad11__:8
uint8_t __pad12__:4
uint8_t Power:1
uint8_t __pad13__:2
uint8_t TimerActive:1
uint8_t __pad14__:8
uint8_t pad1 [6]
uint8_t __pad15__:4
uint8_t Humidity:4
uint8_t __pad16__:8
}; |

## Member Data Documentation

## ◆ @69

struct { ... }

## ◆ __pad0__

uint8_t HitachiAC296Protocol::__pad0__

## ◆ __pad10__

uint8_t HitachiAC296Protocol::__pad10__

## ◆ __pad11__

uint8_t HitachiAC296Protocol::__pad11__

## ◆ __pad12__

uint8_t HitachiAC296Protocol::__pad12__

## ◆ __pad13__

uint8_t HitachiAC296Protocol::__pad13__

## ◆ __pad14__

uint8_t HitachiAC296Protocol::__pad14__

## ◆ __pad15__

uint8_t HitachiAC296Protocol::__pad15__

## ◆ __pad16__

uint8_t HitachiAC296Protocol::__pad16__

## ◆ __pad1__

uint8_t HitachiAC296Protocol::__pad1__

## ◆ __pad2__

uint8_t HitachiAC296Protocol::__pad2__

## ◆ __pad3__

uint8_t HitachiAC296Protocol::__pad3__

## ◆ __pad4__

uint8_t HitachiAC296Protocol::__pad4__

## ◆ __pad5__

uint8_t HitachiAC296Protocol::__pad5__

## ◆ __pad6__

uint8_t HitachiAC296Protocol::__pad6__

## ◆ __pad7__

uint8_t HitachiAC296Protocol::__pad7__

## ◆ __pad8__

uint8_t HitachiAC296Protocol::__pad8__

## ◆ __pad9__

uint8_t HitachiAC296Protocol::__pad9__

## ◆ Fan

uint8_t HitachiAC296Protocol::Fan

## ◆ Humidity

uint8_t HitachiAC296Protocol::Humidity

## ◆ Mode

uint8_t HitachiAC296Protocol::Mode

## ◆ OffTimerActive

uint8_t HitachiAC296Protocol::OffTimerActive

## ◆ OffTimerHigh

uint8_t HitachiAC296Protocol::OffTimerHigh

## ◆ OffTimerLow

uint8_t HitachiAC296Protocol::OffTimerLow

## ◆ OnTimerActive

uint8_t HitachiAC296Protocol::OnTimerActive

## ◆ OnTimerHigh

uint8_t HitachiAC296Protocol::OnTimerHigh

## ◆ OnTimerLow

uint8_t HitachiAC296Protocol::OnTimerLow

## ◆ pad0

uint8_t HitachiAC296Protocol::pad0[13]

## ◆ pad1

uint8_t HitachiAC296Protocol::pad1[6]

## ◆ Power

uint8_t HitachiAC296Protocol::Power

## ◆ raw

uint8_t HitachiAC296Protocol::raw[kHitachiAc296StateLength]

## ◆ Temp

uint8_t HitachiAC296Protocol::Temp

## ◆ TimerActive

uint8_t HitachiAC296Protocol::TimerActive

The documentation for this union was generated from the following file:

- src/ir_Hitachi.h